#############################################################################################
#############################################################################################
##
## SERVER CONAN
##
#############################################################################################
#############################################################################################

ifeq ($(CONAN_BIN),)
  $(error $(ERRORMARKER) Conan is not defined, check your Makefile if conan.mk is included)
endif


$(CONAN_BIN):
	$(QUIET) $(MKDIR) -p $(VENDOR_PATH)
	$(QUIET) $(WGET) -O $(CONAN_BIN) http://download.schukai.com/tools/conan/conan-$(shell uname -s | tr [:upper:] [:lower:])-$(shell echo `uname -m | sed s/aarch64/arm64/ | sed s/x86_64/amd64/`)
	$(QUIET) $(CHMOD) u+x $(CONAN_BIN)

.PHONY: run-conan
## run conan webserver
run-conan: $(CONAN_BIN) $(CONAN_CONFIG)
	$(QUIET) $(CONAN_BIN) server serve --config $(CONAN_CONFIG)
