#############################################################################################
#############################################################################################
##
## NPM
##
#############################################################################################
#############################################################################################

.PHONY: npm-publish-major
## release major version of package
npm-publish-major:
	$(ECHOMARKER) "release major version"
	$(QUIET) $(MAKE) tag-major-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(MAKE) node-test
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

.PHONY: npm-publish-minor
## release minor version of package
npm-publish-minor: 
	$(ECHOMARKER) "release minor version"
	$(QUIET) $(MAKE) tag-minor-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(MAKE) node-test
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

.PHONY: npm-publish-patch
## release patch version of package
npm-publish-patch:
	$(ECHOMARKER) "release patch version"
	$(QUIET) $(MAKE) tag-patch-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(MAKE) node-test
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

