#############################################################################################
#############################################################################################
##
## VERSIONS
##
#############################################################################################
#############################################################################################

VERSION_BIN   ?= $(VENDOR_PATH)version
RELEASE_FILE  ?= $(PROJECT_ROOT)release.json
 
ifeq ("$(wildcard $(RELEASE_FILE))","")
  $(shell echo '{"version":"0.1.0"}' > $(RELEASE_FILE))
endif

PROJECT_VERSION ?= $(shell cat $(RELEASE_FILE) | jq -r .version)
PROJECT_BUILD_DATE ?= $(shell $(VERSION_BIN) date)
