#############################################################################################
#############################################################################################
##
## DIRECTORIES
##
#############################################################################################
#############################################################################################

APPLICATION_PATH          ?=   $(PROJECT_ROOT)application/
DEPLOYMENT_PATH           ?=   $(PROJECT_ROOT)deployment/
DEVELOPMENT_PATH          ?=   $(PROJECT_ROOT)development/
DOCUMENTATION_PATH        ?=   $(PROJECT_ROOT)documentation/

RESOURCE_PATH             ?=   $(APPLICATION_PATH)resource/
SOURCE_PATH               ?=   $(APPLICATION_PATH)source/

## SCRIPTS_PATH IS DEPRECATED					      
SCRIPTS_PATH              ?=   $(DEVELOPMENT_PATH)script/

DEVELOPMENT_SCRIPTS_PATH  ?=   $(DEVELOPMENT_PATH)script/
BUILD_PATH                ?=   $(DEPLOYMENT_PATH)build/
VENDOR_PATH               ?=   $(DEPLOYMENT_PATH)vendor/

DEPLOYMENT_SCRIPTS_PATH   ?=   $(DEPLOYMENT_PATH)script/
LICENSE_PATH              ?=   $(PROJECT_ROOT)

PROJECT_DIRECTORIES :=  $(PROJECT_DIRECTORIES)  \
	$(APPLICATION_PATH) \
	$(RESOURCE_PATH) \
	$(SOURCE_PATH) \
	$(DEPLOYMENT_PATH) \
	$(VENDOR_PATH) \
	$(DEVELOPMENT_PATH) \
	$(DEVELOPMENT_SCRIPTS_PATH) \
	$(DEPLOYMENT_SCRIPTS_PATH) \
	$(DOCUMENTATION_PATH) \
	$(LICENSE_PATH) \
	$(BUILD_PATH)
	
