#############################################################################################
#############################################################################################
##
## LICENSE
##
#############################################################################################
#############################################################################################

ifneq "$(wildcard $(SOURCE_PATH) )" ""
  ## Files wich should be checked for license headers
  LICENSE_FILE_PATTERN ?= $(shell find $(SOURCE_PATH) -type f \( -iname \*.go -o -iname \*.php -o -iname \*.js -o -iname \*.mjs -o -iname \*.cjs \) )
endif

# https://spdx.github.io/spdx-spec/v2.3/SPDX-license-list/
ADDLICENSE_BIN ?= addlicense
ifeq ($(shell command -v $(ADDLICENSE_BIN) 2> /dev/null),)
  $(shell $(GO) install github.com/google/addlicense@latest)
  EXECUTABLES = $(EXECUTABLES:-) $(ADDLICENSE_BIN);
endif

EXECUTABLES = $(EXECUTABLES:-) $(ADDLICENSE_BIN)
