#############################################################################################
#############################################################################################
##
## COLORS
##
#############################################################################################
#############################################################################################

INFO    := $(GREEN)
COMMENT := $(YELLOW)

#############################################################################################
#############################################################################################
##
## OUTPUT CONTROL AND STANDARD OUTPUTS
##
#############################################################################################
#############################################################################################

MARKER           := $(BLUE)[+]$(RESET)
ERRORMARKER      := $(RED)[-]$(RESET)

#############################################################################################
#############################################################################################
##
## DEACTIVATE THE QUIET MODE BY OVERWRITING THE VALUE WITH SPACE
##
#############################################################################################
#############################################################################################

ifndef DEBUG
    QUIET = @
else
    QUIET = 
endif

ifndef DONTOPENBROWSER
    OPENBROWSER = false
else
    OPENBROWSER = true
endif

#############################################################################################
#############################################################################################
##
## COMMANDS
##
#############################################################################################
#############################################################################################

ECHO             := @echo
ECHOMARKER       := @echo "$(MARKER) $0"
ECHOERRORMARKER  := @echo "$(ERRORMARKER) $0"

