#############################################################################################
#############################################################################################
##
## SERVER CADDY
##
#############################################################################################
#############################################################################################

CADDY_VENDOR_PATH    ?= $(VENDOR_PATH)caddy/
CADDY_BIN            ?= $(CADDY_VENDOR_PATH)caddy
CADDY_CONFIG         ?= $(CADDY_VENDOR_PATH)caddy.conf
CADDY_PIDFILE		 ?= $(shell mktemp -d)/caddy.pid

$(CADDY_BIN):
	$(QUIET) $(MKDIR) -p $(CADDY_VENDOR_PATH)
	$(QUIET) $(WGET) -O $(CADDY_BIN) "https://caddyserver.com/api/download?os=linux&arch=amd64&idempotency=75143981108035"
	$(QUIET) $(CHMOD) u+x $(CADDY_BIN)

.PHONY: run-caddy
## run caddy webserver
run-caddy: $(CADDY_BIN) 
	$(QUIET) $(CADDY_BIN) run -config $(CADDY_CONFIG) -pidfile $(CADDY_PIDFILE) -watch

