
#############################################################################################
#############################################################################################
##
## JSDOC-TARGETS
##
#############################################################################################
#############################################################################################

FIXBROKENPLANTUML := $(NODE_MODULES_DIR)jsdoc-plantuml/fixBrokenNodeJS.js

.PHONY: jsdoc-build
## generate js api docs
jsdoc-build: $(DOCUMENTATION_CONFIG_PATH)jsdoc.json  $(FIXBROKENPLANTUML).fixed
	$(ECHOMARKER) "create api doc"
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run build-doc


$(FIXBROKENPLANTUML).fixed:
	$(ECHOMARKER) "fix broken plantuml"
	$(QUIET) chmod u+x $(FIXBROKENPLANTUML) 
	$(QUIET) $(NODE) $(FIXBROKENPLANTUML)
	$(QUIET) $(TOUCH) $(FIXBROKENPLANTUML).fixed