#############################################################################################
#############################################################################################
##
## RUN NPM BUILD, TEST AND DEV TASKS
##
#############################################################################################
#############################################################################################

.PHONY: npm-dev
## run npm dev server
npm-dev:
	$(ECHOMARKER) "start npm dev server" 
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run dev

.PHONY: npm-build
## build npm project
npm-build:
	$(ECHOMARKER) "build npm project" 
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run build

.PHONY: npm-preview
## preview npm project
npm-preview:
	$(ECHOMARKER) "preview npm project"
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run build 
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run preview



