#############################################################################################
#############################################################################################
##
## REQMAN-TARGETS
##
#############################################################################################
#############################################################################################


# @TODO not working, check if this is a bug in this definition!!!

ifeq ($(REQMAN_BIN),) 
  $(error "$(REQMAN_BIN) is not installed. Please check your makefile and include the reqman.mk")
endif

$(REQMAN_BIN):
	$(QUIET) $(MKDIR) -p $(VENDOR_PATH)
	$(QUIET) $(WGET) -O $(REQMAN_BIN) http://download.schukai.com/tools/reqman/reqman-$(shell uname -s | tr [:upper:] [:lower:])-$(shell echo `uname -m | sed s/aarch64/arm64/ | sed s/x86_64/amd64/`)
	$(QUIET) $(CHMOD) u+x $(REQMAN_BIN)

$(PROJECT_ROOT)deployment/build/manual.html: $(DOCMAN_BIN)
	$(REQMAN_BIN) print html --config $(PROJECT_ROOT)requirement/config.yaml

$(PROJECT_ROOT)deployment/build/manual.pdf: $(DOCMAN_BIN)
	$(REQMAN_BIN) print pdf --config $(PROJECT_ROOT)requirement/config.yaml

.PHONY: build-req-pdf
## creating the requirement in pdf format
build-req-pdf: $(PROJECT_ROOT)deployment/build/requirement.pdf

.PHONY: build-req-html
## creating the requirement in html format
build-req-html: $(PROJECT_ROOT)deployment/build/requirement.html


.PHONY: build-req
## creating the requirement in pdf and html format
build-req: build-req-pdf build-req-html


